/* Google Font Link */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Khmer&family=Noto+Sans+Khmer:wght@400;500;600;700;800;900&display=swap');

html,
body,
.home-section,
.about__wrapper {
  height: 100%;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', 'Khmer', sans-serif;
}

td span {
  background-color: unset;
}

.sidebar.open>h3 {
  visibility: visible;
  opacity: 1;
}

.sidebar-left.open>h3 {
  visibility: visible;
  opacity: 1;
}

.sidebar>h3 {
  visibility: hidden;
  opacity: 0;
}

.sidebar-left>h3 {
  visibility: hidden;
  opacity: 0;
}

.sidebar {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 78px;
  background: #101010;
  padding: 6px 14px;
  z-index: 99;
  transition: all 0.5s ease;
  overflow-y: auto;
}

.sidebar.open {
  width: 300px;
}

.sidebar-left.open {
  width: 300px;
}

.sidebar-left.close {
  transition: transform 0.4s ease-in-out 0.2s;
  z-index: 999;
}

.sidebar .logo-details {
  height: 60px;
  display: flex;
  align-items: center;
  position: relative;
  word-break: keep-all;
  white-space: nowrap;
}

.sidebar-left .logo-details {
  height: 60px;
  display: flex;
  align-items: center;
  position: relative;
  word-break: keep-all;
  white-space: nowrap;
}

.sidebar .logo-details .icon {
  opacity: 0;
  transition: all 0.5s ease;
  line-height: 16px;
  cursor: pointer;
}

.sidebar-left .logo-details .icon {
  opacity: 0;
  transition: all 0.5s ease;
  line-height: 16px;
  cursor: pointer;
}

.sidebar .logo-details .icon-gear {
  margin-right: 2.5rem;
}

.sidebar-left .logo-details .icon-gear {
  margin-right: 2.5rem;
}

.sidebar .logo-details .logo_name {
  color: #fff;
  font-size: 20px;
  font-weight: 600;
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease;
}

.sidebar-left .logo-details .logo_name {
  color: #fff;
  font-size: 20px;
  font-weight: 600;
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease;
}

.sidebar.open .logo-details .icon,
.sidebar.open .logo-details .logo_name {
  opacity: 1;
  visibility: visible;
}

.sidebar-left.open .logo-details .icon,
.sidebar-left.open .logo-details .logo_name {
  opacity: 1;
  visibility: visible;
}

.sidebar .logo-details #sidebarBtn {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  font-size: 22px;
  transition: all 0.4s ease;
  font-size: 23px;
  text-align: center;
  cursor: pointer;
  transition: all 0.5s ease;
  color: #fff;
}

.sidebar-left .logo-details #sidebarBtn {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  font-size: 22px;
  transition: all 0.4s ease;
  font-size: 23px;
  text-align: center;
  cursor: pointer;
  transition: all 0.5s ease;
  color: #fff;
}

.sidebar.open .logo-details #sidebarBtn {
  text-align: right;
  left: unset;
  right: 0;
}

.sidebar-left.open .logo-details #sidebarBtn {
  text-align: right;
  left: unset;
  right: 0;
}

.sidebar .related__layer__wrapper,
.sidebar .related__document__wrapper,
.sidebar .nav-list {
  visibility: hidden;
  opacity: 0;

  -webkit-transition: opacity .5s ease;
  -o-transition: opacity .5s ease;
  transition: opacity .5s ease;
}

.sidebar-left .related__layer__wrapper,
.sidebar-left .related__document__wrapper,
.sidebar-left .nav-list {
  visibility: hidden;
  opacity: 0;

  -webkit-transition: opacity .5s ease;
  -o-transition: opacity .5s ease;
  transition: opacity .5s ease;
}

.sidebar .nav-list {
  margin-bottom: 15px;
  padding-top: 0;
  padding-left: 10px;
}

.sidebar-left .nav-list {
  margin-bottom: 15px;
  padding-top: 0;
  padding-left: 10px;
}

.sidebar .nav-header {
  color: #fff;
  padding-left: 10px;
  font-weight: 600;
  border-bottom: 1px solid #fff;
}

.sidebar-left .nav-header {
  color: #fff;
  padding-left: 10px;
  font-weight: 600;
  border-bottom: 1px solid #fff;
}

.sidebar.open .related__layer__wrapper,
.sidebar.open .related__document__wrapper,
.sidebar.open .nav-list {
  visibility: visible;
  opacity: 1;
}

.sidebar-left.open .related__layer__wrapper,
.sidebar-left.open .related__document__wrapper,
.sidebar-left.open .nav-list {
  visibility: visible;
  opacity: 1;
}

.sidebar li {
  position: relative;
  margin: 12px 0;
  list-style: none;
}

.sidebar-left li {
  position: relative;
  margin: 12px 0;
  list-style: none;
}

.sidebar a {
  color: #fff;
  padding-left: 10px;
}

.sidebar-left a {
  color: #fff;
  padding-left: 10px;
}

.sidebar input,
.sidebar select {
  font-size: 14px;
  color: #FFF;
  font-weight: 400;
  outline: none;
  height: 32px;
  width: 90%;
  width: 50px;
  border: none;
  border-radius: 12px;
  background: #1d1b31;
  color-scheme: dark;
  position: relative;
  padding: 0 10px;
}

.sidebar-left input,
.sidebar-left select {
  font-size: 14px;
  color: #FFF;
  font-weight: 400;
  outline: none;
  height: 32px;
  width: 90%;
  width: 50px;
  border: none;
  border-radius: 12px;
  background: #1d1b31;
  color-scheme: dark;
  position: relative;
  padding: 0 10px;
}

.sidebar-left.open input,
.sidebar-left.open select {
  width: 100%;
  cursor: pointer;
}

.sidebar.open input,
.sidebar.open select {
  width: 100%;
  cursor: pointer;
}

.home-section {
  display: flex;
  position: relative;
  background: #E4E9F7;
  top: 0;
  left: 78px;
  width: calc(100% - 78px);
  transition: all 0.5s ease;
  z-index: 2;
  overflow-x: hidden;
}

.map__wrapper {
  flex: 1;
  position: relative;
  z-index: 1;
}

.about__wrapper {
  background: #101010;
  color: #fff;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  position: absolute;
  right: -9999px;
  min-width: 200px;
  max-width: 400px;
  top: 0;
  bottom: 0;
  z-index: 9999;
}

.about__wrapper.active {
  right: 0;
}

.about__header {
  margin-bottom: 0.5rem;
  flex: 0 0 auto;
  border: none;
  border-bottom: 1px dashed;
  text-align: center;
  font-size: 18px;
  background: lightgray;
  color: #000;
  margin: 0;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.about__body {
  background-color: #fff;
  width: 100%;
  flex: 1;
  color: black;
  font-size: 14px;
  padding: 5px;
  display: grid;
  flex-direction: column;
  overflow: hidden;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.about__table__wrapper,
.conservation__area__wrapper {
  border-bottom: 1.5px solid #000;
  line-height: 20px;
}

.about__table__wrapper,
.chart__wrapper__body {
  flex: 1;
}

.chart__wrapper__body {
  overflow-y: auto;
}

.about__table__wrapper {
  flex: 0 1 auto;
  max-height: 50%;
  min-height: 180px;
}

.conservation__area__wrapper {
  flex: 0 1 auto;
}

.conservation__area__wrapper .about__header,
.chart__wrapper .about__header {
  display: block;
  line-height: 2rem;
  font-size: 18px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.conservation__area__wrapper .conservation__text {
  padding: 10px 20px;
  font-weight: 600;
  text-align: center;
}

.conservation__area__wrapper table {
  margin: 2px 0;
  border-collapse: collapse;
}

.conservation__area__wrapper table td {
  line-height: 20px;
}

.chart__wrapper {
  display: flex;
  flex-direction: column;
  overflow-y: hidden;
}

.chart__wrapper .chart__wrapper__body {
  overflow-y: auto;
  flex: 1;
}

.document__body {
  border-radius: 5px;
}

.document__body ul {
  padding: 0;
  padding-top: 0;
}

.document__body ul li {
  width: 100%;
  padding: 10px 0;
  cursor: pointer;
  border: 1px solid #000;
  margin: 0;
  padding: 0;
  padding-left: 5px;
}

.document__body ul li a {
  padding: 10px;
  display: block;
  color: #000;
}

.document__body ul li:hover {
  background-color: lightslategray;
  color: #fff;
}

.document__body ul li.active {
  background-color: darkgray;
  color: #fff;
}

.leaflet-pane.leaflet-popup-pane {
  display: none !important;
}


.sidebar.open~.home-section {
  left: 300px;
  width: calc(100% - 300px);
}

.home-section .text {
  display: inline-block;
  color: #11101d;
  font-size: 25px;
  font-weight: 500;
  margin: 18px
}

/* @media (max-width: 420px) {
  .sidebar-left li .tooltip-wrapper {
    display: none;
  }
} */

.form-label {
  display: block;
  color: #fff;
  margin-bottom: 4px;
  padding-left: 0;
}

.form-inline-wrapper {
  display: flex;
  justify-content: space-between;
}

.form-inline-wrapper .form-input__date {
  flex: 1;
  max-width: 130px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 99;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
}

/* Modal Content Box */
.modal-content {
  background-color: #fefefe;
  margin-top: 2%;
  padding: 8px 12px;
  border: 1px solid #888;
  max-width: 90%;
  min-height: 250px;
  max-height: 95vh;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
}

.modal__table__wrapper {
  overflow: auto;
  width: 100%;
  height: 100%;
  flex: 1;
  display: flex;
  align-items: center;
}

.modal__table {
  border-spacing: 0;
  border-collapse: collapse;
}

.modal__table {
  border-spacing: 0;
  border-collapse: collapse;
}

.modal__table tr td,
.modal__table tr th {
  padding: 4px;
}

.modal__table.vertical {
  align-self: flex-start;
}

.modal__table th {
  white-space: nowrap;
  padding: 5px;
}

.modal__table th,
.modal__table td {
  border: 1px solid #000;
}

.close {
  float: right;
  font-size: 36px;
  font-weight: bold;
  color: black;
  padding: 0 4px;
  line-height: 25px;
  background: lightgray;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.about__table__wrapper table tr:nth-child(even) td,
.conservation__area__wrapper table tr:nth-child(even) td {
  background-color: whitesmoke;
}

.about__table__wrapper table tr td:first-child {
  white-space: nowrap;
}

.conservation__area__wrapper table tr td:nth-child(2),
.about__table__wrapper table tr td:nth-child(2) {
  padding-left: 3px;
}

.about__table__wrapper table {
  border-collapse: collapse;
  margin: 0;
  padding: 0;
  height: 100%;
}

table {
  width: 100%;
  max-width: 100%;
  overflow-x: auto;
  text-align: center;
}

table,
th,
td {
  font-size: 13px;
  line-height: 15px;
}

hr {
  border-bottom: 1px solid #000;
  margin: 10px 0;
}

ul {
  padding-left: 20px;
  padding-top: 10px;
  margin-bottom: 10px;
}

h3 {
  padding: 3px;
}

.loading-overlay {
  display: none;
  background: rgba(255, 255, 255, 0.7);
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  z-index: 9998;
  align-items: center;
  justify-content: center;
}

.loading-overlay.is-active {
  display: flex;
}

.spinner {
  transform-origin: center center;
  animation: spin-animation linear infinite 1s;
}

.spinner>* {
  transform-origin: center center;
}

.spinner .s-1 {
  transform: rotate(90deg);
  animation: offset-1 cubic-bezier(0.46, 0.03, 0.52, 0.96) infinite alternate 1s;
}

.spinner .s-3 {
  transform: rotate(-90deg);
  animation: offset-3 cubic-bezier(0.46, 0.03, 0.52, 0.96) infinite alternate 1s;
}

@keyframes offset-1 {
  0% {
    transform: rotate(90deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

@keyframes offset-3 {
  0% {
    transform: rotate(-90deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

@keyframes spin-animation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.spinner-svg {
  fill: #000;
  width: 80px;
  height: 80px;
}

.cfi-btn {
  cursor: pointer;
  margin: 0;
  padding: 0 4px;
  text-align: center;
}

.document__body {
  background-color: #fff;
  margin-top: 10px;
}

.d-none {
  display: none !important;
}

.tooltip-wrapper {
  position: relative;
}

.tooltip-wrapper .tooltip {
  visibility: hidden;
  font-size: 12px;
  width: 120px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 3px;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 80%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip-wrapper .tooltip::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip-wrapper .tooltip.active {
  visibility: visible;
  opacity: 1;
}

.badge-secondary {
  color: #212529;
  background-color: #e1e0e0;
}

.badge-pill {
  display: inline-block;
  padding: 0.25em 0.6em;
  border-radius: 10rem;
  font-size: 90%;
  font-weight: 600;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
}

.select2-selection__rendered {
  line-height: 34px !important;
}

.select2-container .select2-selection--single,
.select2-selection__arrow {
  height: 35px !important;
  border-radius: 12px !important;
  border: none !important;
  background: #1d1b31 !important;
}

.sidebar .select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #fff;
}
.sidebar-left .select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #fff;
}